%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           be
Version:        1.0.0
Release:        2%{?dist}
Summary:        Bugs Everywhere, a distributed bug tracker

# for older rpmlint versions
Group:          Development/Tools
License:        GPLv2+
URL:            http://bugseverywhere.org/
Source0:        http://download.bugseverywhere.org/releases/be-%{version}.tar.gz
# from commit 2aeaa4e265deb093a5e37c5973deb8d932974491
Patch0:         be-1.0.0-manpage.patch

BuildArch:      noarch
BuildRequires:  python-docutils
Requires:       PyYAML

%description
This is Bugs Everywhere (BE), a bug tracker built on distributed
version control.  It works with Arch, Bazaar, Darcs, Git, Mercurial,
and Monotone at the moment, but is easily extensible.  It can also
function with no VCS at all.

The idea is to package the bug information with the source code, so
that bugs can be marked "fixed" in the branches that fix them.  So,
instead of numbers, bugs have globally unique ids.


%prep
%setup -q
%patch0 -p1 -b .manpage
sed -i '1d' libbe/version.py
sed -i '1d' misc/completion/be.bash


%build
%{__python} setup.py build
make man


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
COMPDIR=$RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d
mkdir -p $COMPDIR
cp -p misc/completion/be.bash $COMPDIR/

 
%files
### not needed anymore by RPM, but keep rpmlint happy
%defattr(-,root,root,-)
###
%doc COPYING AUTHORS ChangeLog NEWS README
%{_bindir}/be
%{python_sitelib}/*
%dir %{_sysconfdir}/bash_completion.d
%config(noreplace) %{_sysconfdir}/bash_completion.d/be.bash
%{_mandir}/man1/be.1*


%changelog
* Thu Mar 24 2011 Michel Salim <salimma@fedoraproject.org> - 1.0.0-2
- add Group: field, for compliance with older rpmlint versions

* Wed Mar 23 2011 Michel Salim <salimma@fedoraproject.org> - 1.0.0-1
- Initial package

